/// <reference types="node" />
import * as tls from 'tls';
export interface ISocketError {
    socket: tls.TLSSocket;
    error: Error;
}
declare class Socket {
    static tlsSocket(host: string, port: number, options?: tls.ConnectionOptions, connectionTimeout?: number): Promise<tls.TLSSocket | ISocketError>;
    static request(socket: tls.TLSSocket, id: number, method: string, params?: string[]): Promise<{}>;
    static close(socket: tls.TLSSocket): void;
    static getPeerCertificate(socket: tls.TLSSocket, full?: boolean): tls.DetailedPeerCertificate | tls.PeerCertificate;
    static derCertToPemCert(cert: Buffer): string;
}
export { Socket };
